<template>
  <el-affix>
    <el-menu
      :default-active="activeIndex"
      class="el-menu-demo"
      mode="horizontal"
      :ellipsis="false"
      @select="handleSelect"
    >
      <div>
        <el-menu-item index="0"> <h1 class="logo">ARSHA</h1></el-menu-item>
      </div>
      <div class="demo-right">
        <el-menu-item index="1">Home </el-menu-item>
        <el-menu-item index="1"> About</el-menu-item>
        <el-menu-item index="1"> Services</el-menu-item>
        <el-menu-item index="1"> Portfolio</el-menu-item>
        <el-menu-item index="1"> Team </el-menu-item>
        <el-sub-menu index="2">
          <template #title>Workspace</template>
          <el-menu-item index="2-1">item one</el-menu-item>
          <el-menu-item index="2-2">item two</el-menu-item>
          <el-menu-item index="2-3">item three</el-menu-item>
          <el-sub-menu index="2-4">
            <template #title>item four</template>
            <el-menu-item index="2-4-1">item one</el-menu-item>
            <el-menu-item index="2-4-2">item two</el-menu-item>
            <el-menu-item index="2-4-3">item three</el-menu-item>
          </el-sub-menu>
        </el-sub-menu>
        <el-menu-item index="1"> Contact </el-menu-item>

        <div class="nav-btn">
          <button class="btn btn-outline">Get Started</button>
        </div>
      </div>
    </el-menu>
  </el-affix>
</template>
<script>
export default {
  data() {
    return {};
  },
};
</script>
<style lang="scss">
.el-menu--horizontal {
  --el-menu-bg-color: #37517e;
  --el-menu-hover-bg-color: none;
  --el-menu-active-color: none;
  border-bottom: none !important;
  padding-left: 5% !important;
}
.el-menu-demo {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background-color: #37517e;
  padding: 1% 5%;
  .demo-right {
    display: flex;
    .el-menu-item {
      color: #fff;
      font-size: 18px;
    }
  }
  .logo {
    font-size: 30px;
    color: #fff;
    padding-top: 15px;
    &:hover {
      color: #fff;
    }
  }
  .el-sub-menu__title {
    color: #fff;
    font-size: 18px;
  }
  .btn {
    border-radius: 25px;
    background-color: #37517e;
    color: #fff;
    padding: 12px 35px;
    border: 2px solid #47b2e4;
    margin-top: 5px;
    font-size: 17px;
    &:hover {
      background-color: #47b2e4;
      color: #fff;
    }
  }
}

@media only screen and (min-width: 320px) and (max-width: 991px) {
  .el-menu {
    display: none !important;
    .demo-right {
      display: none;
      border-bottom: none;
    }
    .logo {
      display: none;
    }
  }
}

@media screen and (min-width: 992px) and (max-width: 1200px) {
  .demo-right {
    display: flex;
    .el-menu-item {
      color: #fff;
      font-size: 1rem;
      padding: 0 0.5rem;
    }
  }
}
</style>
